Cmrs

Get CMRs / LVs

get

Get the CMRs related to a transport

Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Path parameters
uidstringRequired
remote_idstringOptional

If you choose to identify an object with its remote_id instead of its uid then

  • replace the uid value with the remote_id value in the URL

  • specify lookup_field=remote_id in the query parameters

Query parameters
lookup_fieldstringOptional

Used to specify what field is used in the URL to identify the object you're requesting, e.g. with the remote_id (see path parameters)

Responses
200Success
application/json
filestringOptional

URL of the stored cmr document. You can download the document from this URL.

Example: https://storage.googleapis.com/dashdoc-media/media/shipments/aabd42eb.png
referencestringOptional

Free text. This reference is searchable in the transports dashboard. Filled by the trucker if the CMR / LV is added from the mobile app. Filled by the user, if the document is added from the web app, or filled by API request.

Example: delivery note 123456 client 1
get
/transports/{uid}/cmrs/
200Success

Last updated

Was this helpful?